Subject: Re: ab/config-based-hooks-2

From: Junio C Hamano <[email-masked]>
Date: Tue, 18 Jan 2022 12:26:10 -0800

Ævar Arnfjörð Bjarmason <[email-masked]> writes:

> On Fri, Jan 14 2022, Junio C Hamano wrote:
>
>> * ab/config-based-hooks-2 (2022-01-07) 17 commits
>>  - run-command: remove old run_hook_{le,ve}() hook API
>>  - receive-pack: convert push-to-checkout hook to hook.h
>>  - read-cache: convert post-index-change to use hook.h
>>  - commit: convert {pre-commit,prepare-commit-msg} hook to hook.h
>>  - git-p4: use 'git hook' to run hooks
>>  - send-email: use 'git hook run' for 'sendemail-validate'
>>  - git hook run: add an --ignore-missing flag
>>  - hooks: convert worktree 'post-checkout' hook to hook library
>>  - hooks: convert non-worktree 'post-checkout' hook to hook library
>>  - merge: convert post-merge to use hook.h
>>  - am: convert applypatch-msg to use hook.h
>>  - rebase: convert pre-rebase to use hook.h
>>  - hook API: add a run_hooks_l() wrapper
>>  - am: convert {pre,post}-applypatch to use hook.h
>>  - gc: use hook library for pre-auto-gc hook
>>  - hook API: add a run_hooks() wrapper
>>  - hook: add 'run' subcommand
>>
>>  More "config-based hooks".
>>
>>  Will merge to 'next', with minor nits?
>>  source: <[email-masked]>
>
> I'd really like that, if you're OK with it.

Obviously I am not ready to say I am OK (or not OK for that matter),
and that is why I was soliciting comments by the reviewers whose
comments were ignored.

And knowing how proliferate you can be when you want to, adjusting
patches for reviews you received and testing the result thoroughly
would be much better use of time (include the time already spent by
reviewers to comment on the previous iteration), no?